|  | Home · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QColumnView Class Reference
[QtGui module]

The QColumnView class provides a model/view implementation of a column view. More...

     #include <QColumnView>

Inherits QAbstractItemView.

This class was introduced in Qt 4.3.

- List of all members, including inherited members

### Properties

- resizeGripsVisible : bool

- 14 properties inherited from QAbstractItemView
- 2 properties inherited from QAbstractScrollArea
- 6 properties inherited from QFrame
- 56 properties inherited from QWidget
- 1 property inherited from QObject

### Public Functions

- QColumnView ( QWidget * parent = 0 )
- ~QColumnView ()
- QList<int> columnWidths () const
- QWidget * previewWidget () const
- bool resizeGripsVisible () const
- void setColumnWidths ( const QList<int> & list )
- void setPreviewWidget ( QWidget * widget )
- void setResizeGripsVisible ( bool visible )

- 52 public functions inherited from QAbstractItemView
- 15 public functions inherited from QAbstractScrollArea
- 13 public functions inherited from QFrame
- 201 public functions inherited from QWidget
- 29 public functions inherited from QObject
- 12 public functions inherited from QPaintDevice

### Signals

- void updatePreviewWidget ( const QModelIndex & index )

- 6 signals inherited from QAbstractItemView
- 1 signal inherited from QWidget
- 1 signal inherited from QObject

### Protected Functions

- virtual QAbstractItemView * createColumn ( const QModelIndex & index )

- 33 protected functions inherited from QAbstractItemView
- 16 protected functions inherited from QAbstractScrollArea
- 38 protected functions inherited from QWidget
- 7 protected functions inherited from QObject
- 1 protected function inherited from QPaintDevice

### Additional Inherited Members

- 9 public slots inherited from QAbstractItemView
- 19 public slots inherited from QWidget
- 1 public slot inherited from QObject
- 4 static public members inherited from QWidget
- 5 static public members inherited from QObject
- 8 protected slots inherited from QAbstractItemView
- 1 protected slot inherited from QAbstractScrollArea
- 1 protected slot inherited from QWidget

## Detailed Description

The QColumnView class provides a model/view implementation of a column view.

QColumnView displays a model in a number of QListViews, one for each hierarchy in the tree. This is sometimes referred to as a cascading list.

The QColumnView class is one of the Model/View Classes and is part of Qt's model/view framework.

QColumnView implements the interfaces defined by the QAbstractItemView class to allow it to display data provided by models derived from the QAbstractItemModel class.

See also Model/View Programming.

## Property Documentation

### resizeGripsVisible : bool

This property holds the way to specify if the list views gets resize grips or not.

By default, `visible` is set to true

Access functions:

- bool resizeGripsVisible () const
- void setResizeGripsVisible ( bool visible )

See also setRootIndex().

## Member Function Documentation

### QColumnView::QColumnView ( QWidget * parent = 0 )

Constructs a column view with a parent to represent a model's data. Use setModel() to set the model.

See also QAbstractItemModel.

### QColumnView::~QColumnView ()

Destroys the column view.

### QList<int> QColumnView::columnWidths () const

Returns a list of the width of all the columns in this view.

See also setColumnWidths().

### QAbstractItemView * QColumnView::createColumn ( const QModelIndex & index ) `[virtual protected]`

To use a custom widget for the final column when you select an item overload this function and return a widget. index is the root index that will be assigned to the view.

Return the new view. QColumnView will automatically take ownership of the widget.

See also setPreviewWidget().

### QWidget * QColumnView::previewWidget () const

Returns the preview widget, or 0 if there is none.

See also setPreviewWidget() and updatePreviewWidget().

### void QColumnView::setColumnWidths ( const QList<int> & list )

Sets the column widths to the values given in the list. Extra values in the list are kept and used when the columns are created.

If list contains too few values, only width of the rest of the columns will not be modified.

See also columnWidths() and createColumn().

### void QColumnView::setPreviewWidget ( QWidget * widget )

Sets the preview widget.

The widget becomes a child of the column view, and will be destroyed when the column area is deleted or when a new widget is set.

See also previewWidget() and updatePreviewWidget().

### void QColumnView::updatePreviewWidget ( const QModelIndex & index ) `[signal]`

This signal is emitted when the preview widget should be updated to provide rich information about index

See also previewWidget().